Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_InputSource Class Reference

ACEXML_InputSource encapsulates the actual input stream with some added information. More...

`#include "ACEXML/common/InputSource.h"`

Collaboration diagram for ACEXML_InputSource:

[legend]
List of all members.

## Public Methods
| ACEXML_InputSource (void)
| ACEXML_InputSource (ACEXML_CharStream *stream)
| ACEXML_InputSource (const ACEXML_Char *systemId)
virtual | ~ACEXML_InputSource (void)
virtual ACEXML_CharStream * | getCharStream (void)
virtual const ACEXML_Char * | getEncoding (void)
virtual const ACEXML_Char * | getPublicId (void)
virtual const ACEXML_Char * | getSystemId (void)
virtual void | setCharStream (ACEXML_CharStream *charStream)
virtual void | setEncoding (const ACEXML_Char *encoding)
virtual void | setPublicId (const ACEXML_Char *publicId)
virtual void | setSystemId (const ACEXML_Char *systemId)
## Private Attributes
ACEXML_Char * | publicId_
ACEXML_Char * | systemId_
ACEXML_CharStream * | charStream_
ACEXML_Char * | encoding_

## Detailed Description

ACEXML_InputSource encapsulates the actual input stream with some added information.

This class allows a SAX application to encapsulate information about an input source in a single object, which may include a public identifier, a system identifier, a byte stream (possibly with a specified encoding), and/or a character stream.

There are two places that the application will deliver this input source to the parser: as the argument to the Parser.parse method, or as the return value of the EntityResolver.resolveEntity method.

The SAX parser will use the InputSource object to determine how to read XML input. If there is a character stream available, the parser will read that stream directly; if not, the parser will use a byte stream, if available; if neither a character stream nor a byte stream is available, the parser will attempt to open a URI connection to the resource identified by the system identifier.

An InputSource object belongs to the application: the SAX parser shall never modify it in any way (it may modify a copy if necessary).

See also:
  ACEXML_CharStream

## Constructor & Destructor Documentation

ACEXML_InputSource::ACEXML_InputSource | ( | void |  | ) |

ACEXML_InputSource::ACEXML_InputSource | ( | ACEXML_CharStream * | stm | ) |

ACEXML_InputSource::ACEXML_InputSource | ( | const ACEXML_Char * | systemId | ) |

ACEXML_InputSource::~ACEXML_InputSource | ( | void |  | ) | `[virtual]`

## Member Function Documentation

ACEXML_CharStream * ACEXML_InputSource::getCharStream | ( | void |  | ) | `[virtual]`

const ACEXML_Char * ACEXML_InputSource::getEncoding | ( | void |  | ) | `[virtual]`

const ACEXML_Char * ACEXML_InputSource::getPublicId | ( | void |  | ) | `[virtual]`

const ACEXML_Char * ACEXML_InputSource::getSystemId | ( | void |  | ) | `[virtual]`

void ACEXML_InputSource::setCharStream | ( | ACEXML_CharStream * | stm | ) | `[virtual]`

void ACEXML_InputSource::setEncoding | ( | const ACEXML_Char * | encoding | ) | `[virtual]`

void ACEXML_InputSource::setPublicId | ( | const ACEXML_Char * | publicId | ) | `[virtual]`

void ACEXML_InputSource::setSystemId | ( | const ACEXML_Char * | systemId | ) | `[virtual]`

## Member Data Documentation

ACEXML_CharStream* ACEXML_InputSource::charStream_`[private]`

ACEXML_Char* ACEXML_InputSource::encoding_`[private]`

ACEXML_Char* ACEXML_InputSource::publicId_`[private]`

ACEXML_Char* ACEXML_InputSource::systemId_`[private]`

The documentation for this class was generated from the following files:

- InputSource.h
- InputSource.cpp